[![DOI](https://joss.theoj.org/papers/10.21105/joss.06898/status.svg)](https://doi.org/10.21105/joss.06898)

<p align="center">
  <img width = "600" src="./docs/figures/logo.png"/>
</p>

**Exo**planet **T**ransit and **E**clipse **D**ata **R**eduction **F**ramework
___


**exoTEDRF** (formerly supreme-SPOON) is an end-to-end pipeline for JWST exoplanet time series observations.  

Currently supports: **NIRISS/SOSS** and **NIRSpec/BOTS**. **MIRI/LRS** is in development.

## Documentation
An installation guide, code documentation, and tutorials are included in the [exoTEDRF documentation](https://exotedrf.readthedocs.io/en/latest/index.html).

## Citations
If you make use of this code in your work, please cite [Radica (2024)](https://ui.adsabs.harvard.edu/abs/2024arXiv240717541R/abstract), as well as [Radica et al. (2023)](https://ui.adsabs.harvard.edu/abs/2023MNRAS.524..835R/abstract) 
and [Feinstein et al. (2023)](https://ui.adsabs.harvard.edu/abs/2023Natur.614..670F/abstract) for its first uses.  

A list of other works you should consider citing depending on which functionalities you are using can be found [here](https://exotedrf.readthedocs.io/en/latest/content/citations.html).

## Contributing to exoTEDRF
exoTEDRF is in a constant state of updates and improvements. If you find a bug in the code, or have a request for a feature which is not yet implemented, please feel free to raise an issue on the GitHub page. 

If you're interested in directly contributing to exoTEDRF, there is some helpful information in the documentation [here](https://exotedrf.readthedocs.io/en/latest/content/contributions.html).